Get a list forms of teaching

Get a list of supported forms of teaching

Request

GET https://api.frontcore.com/v2/form-of-teaching

For every API request you make, you'll need to present the API access key in the HTTP Header as X-API-Key to be authenticated.

Example code in PHP

$request_url = 'https://api.frontcore.com/v2/form-of-teaching';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $request_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
  'X-API-Key: {your-api-key}',
  'Accept: application/json',
));
$result = curl_exec($ch);
curl_close($ch);
               

Response

If the method is successful it responds with an JSON structure, as it is shown below.

[
    {
        "id": "1",
        "title": "Klasserom"
    },
    {
        "id": "2",
        "title": "Nettkurs"
    },
    {
        "id": "13",
        "title": "Nettstudie"
    },
    {
        "id": "18",
        "title": "Virtuelt klasserom"
    },
    {
        "id": "21",
        "title": "Webinar"
    },
    {
        "id": "22",
        "title": "Webinar + nettkurs"
    },
    {
        "id": "10",
        "title": "Klasserom + nettkurs"
    },
    {
        "id": "12",
        "title": "Klasserom + praksis"
    },
    {
        "id": "17",
        "title": "Praksis + nettkurs"
    },
    {
        "id": "9",
        "title": "Fritidsklasser"
    },
    {
        "id": "11",
        "title": "Praksis"
    },
    {
        "id": "19",
        "title": "Virtuelt eller personlig"
    },
    {
        "id": "8",
        "title": "Bedriftsintern"
    },
    {
        "id": "5",
        "title": "Andre"
    }
]

Unsuccessful response sample:

{
    "error": "Wrong API Key"
}      
© 2026 FrontCore